sooperlooper (1.7.8~dfsg0-2build2) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:03:25 +0000

sooperlooper (1.7.8~dfsg0-2build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:36:45 +0000

sooperlooper (1.7.8~dfsg0-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Transition to wxWidgets 3.2 (Closes: #1019806)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.1, no changes needed.

  [ Dennis Braun ]
  * Add salsa ci config
  * Update my email address
  * d/copyright, d/patches/*, d/watch: http --> https
  * Bump my d/copyright year
  * Reformat patches with gbp pq
  * debian/patches/*: Remove double Forward entries

 -- Dennis Braun <snd@debian.org>  Wed, 07 Dec 2022 08:59:38 +0100

sooperlooper (1.7.8~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.8~dfsg0
  * Update d/copyright years
  * d/rules: Remove trailing whitespace
  * Bump Standards-Version to 4.6.0

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 25 Aug 2021 20:24:24 +0200

sooperlooper (1.7.6~dfsg0-1) unstable; urgency=medium

  * New upstream version 1.7.6~dfsg0
    + Use Files-Excluded to create the dfsg package
  * Update patchset
    + Fix autogen script
    + Fix pbd headers
  * d/control:
    + Add me as uploader
    + Bump dh-compat to 13
    + Add libfftw3-dev and autoconf-archive to B-D
    + Bump S-V to 4.5.1
    + Sort B-Ds
  * d/copyright:
    + Update year
    + Add myself to the d/ section
    + http > https
  * Remove d/examples
  * Clean up d/rules
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jan 2021 21:44:00 +0100

sooperlooper (1.7.3~dfsg0-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.
  * Use debhelper-compat instead of debian/compat.

  [ Felipe Sateler ]
  * d/control: Change maintainer address to debian-multimedia@lists.debian.org.

  [ Olivier Humbert ]
  * debian/sooperlooper.desktop:
    - adds a French comment
    - reduce the exec line
  * debian/copyright:
    - adding myself
  * debian/changelog:
    - remove unneeded spaces and lines
  * debian/control:
    - removes autotools-dev from build-deps (useless with dh>=10)

  [ Steve Langasek ]
  * Build against libwxgtk3.0-gtk3-dev, not libwxgtk3.0-dev.  Closes: #933425

  [ Mattia Rizzolo ]
  * d/control: Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 11 Mar 2020 17:45:54 +0100

sooperlooper (1.7.3~dfsg0-3) unstable; urgency=medium

  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Fix one more spelling error.
  * Set dh/compat 10.
  * B-D libtool-bin.
  * override_dh_autoreconf to build with compat 10.
  * Avoid useless linking.
  * Add patch to remove exotic powerpc flags.
  * Add .gitignore file.
  * Add local-options file.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 17 Dec 2016 22:40:23 +0100

sooperlooper (1.7.3~dfsg0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from upstream to fix std::bind sigc::bind clash (fixes #819790).

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 14:19:00 +0200

sooperlooper (1.7.3~dfsg0-2) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Ensure the use of C++11.
  * Patch forwarded.

  [ IOhannes m zmölnig ]
  * Removed menu entry (Following tech-ccte on #741573).
  * Adjust to newer libsigc++
  * Support for C++-11 (Closes: #802365)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 24 Oct 2015 21:28:22 +0200

sooperlooper (1.7.3~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 22 Mar 2015 17:34:29 +0100

sooperlooper (1.7.2~dfsg0-1) unstable; urgency=low

  * Switch build deps - libsigc++-2.0-dev (Closes: 672392).
  * Added patch to build against wx 3.0.
  * Build against wx 3.0 (Closes: 750737).
  * Patches forwarded.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 10 Jun 2014 12:36:03 +0200

sooperlooper (1.7.0~dfsg0-2) unstable; urgency=low

  * Set dh/compat 9.
  * Fix VCS canonical URLs.
  * Update copyright file.
  * Added Keywords entry to desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 06 Aug 2013 10:56:12 +0200

sooperlooper (1.7.0~dfsg0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Improve repackaging.
  * Mangle debian version number.
  * Refresh patches.
  * Wrap and sort.
  * Bump Standards.

  [ Jaromír Mikeš ]
  * Added myself as uploader.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 22:34:56 +0100

sooperlooper (1.6.18~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Fixed GUI updating issue with more than 5 loops.
    - Added a few new bindable commands.
  * Refresh patches.
  * debian/rules: Enable --parallel.
  * Re-write debian/copyright to comply with latest DEP-5.

 -- Alessio Treglia <alessio@debian.org>  Wed, 07 Dec 2011 11:56:49 +0100

sooperlooper (1.6.14+dfsg-3) unstable; urgency=low

  * Add patch to fix FTBFS with new toolchain (Closes: #632253, LP: #803199).

 -- Alessio Treglia <alessio@debian.org>  Fri, 01 Jul 2011 09:54:04 +0200

sooperlooper (1.6.14+dfsg-2) unstable; urgency=low

  * Add copyright information about files under libs/midi++.
  * Fix XPM icon (Closes: #598159); thanks to Peter B. for the patch.
  * debian/control:
    - Update my mail address.
    - Remove DM-Upload-Allowed: yes.
    - Bump Standards.
  * debian/rules:
    - Replace plus '+' delimiter with the tilde '~', thanks to Jonas
      Smedegaard for the good advice.
  * Add debian/gbp.conf file.
  * Switch to 3.0 (quilt) format.
  * Rely on DH's autotools_dev add-on to update config.{guess,sub} files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 01:35:32 +0200

sooperlooper (1.6.14+dfsg-1) unstable; urgency=low

  * Repack the tarball to remove the dmalloc.cc module, its license
    allows non-commercial purposes only (LP: #545066).
  * debian/patches/02-remove_dmalloc.patch: Don't compile and don't link
    against dmalloc.cc module, it's unnecessary.
  * Update debian/copyright.
  * Update watch file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 23 Mar 2010 16:22:32 +0100

sooperlooper (1.6.14-1) unstable; urgency=low

  * New maintainer (Closes: #546963).
  * New upstream release (Closes: #530701).
  * debian/control:
    - Set Debian Multimedia Team as Maintainer, add myself to Uploaders list.
    - Set DMUA to yes.
    - Bump build-dependency on libwxgtk.
    - Build-Depends on autotools-dev,librubberband-dev.
    - Add Homepage field.
    - Improve description.
    - Add Vcs-* tags.
  * Add desktop file: thank you, Emmet! (Closes: #423137).
  * Drop cdbs.
  * Switch to debhelper 7, use quilt as patch system.
  * Drop all old patches, now unnecessary.
  * Fix debian/menu as per spec.
  * Add watch file.
  * Add debian/docs file.
  * Update debian/copyright.
  * Add manpages for undocumented executables.
  * debian/patches/01-spelling_error.patch:
    - src/gui/keyboard_target.cpp: s/misformed/malformed/
  * Remove the unnecessary debian/dirs file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Feb 2010 20:49:50 +0100

sooperlooper (1.0.8c-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * 03_const_char.patch: Fix FTBFS due to invalid const char conversion,
    thanks to Ilya Barygin, patch from Ubuntu (Closes: #549983).
  * 04_fix_ftbfs_on_kfreebsd.patch: Fix FTBFS on GNU/kFreeBSD by adding a
    <cstring> include (Closes: #542618).
  * Drop libjack0.100.0-dev from Build-Depends, jack people are trying to
    get rid of the Provides. Only keep libjack-dev from the previous
    alternative. Thanks to Felipe Sateler (Closes: #527439).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 21 Dec 2009 13:54:37 +0100

sooperlooper (1.0.8c-3.1) unstable; urgency=low

  * NMU.
  * 02_sooperlooper_gcc-4.3.diff: Add, fix FTBFS with gcc-4.3.
    Closes: #417699

 -- Arthur Loiret <arthur.loiret@gmail.com>  Mon, 17 Mar 2008 00:24:45 +0000

sooperlooper (1.0.8c-3) unstable; urgency=low

  * recompiled against libwxgtk-2.6 instead of version 2.4 (closes:
    #418697)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 13 Nov 2007 18:43:09 +0100

sooperlooper (1.0.8c-2) unstable; urgency=low

  * replace cast to ints by casts to long (closes: #377474)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 10 Jul 2006 19:03:39 +0200

sooperlooper (1.0.8c-1) unstable; urgency=low

  * New upstream version (closes: #376848)
  * Do not depend on libasound2-dev for FreeBSD (closes: #327691)
  * removed gcc4 patch (not necessary anymore)
  * Bumped standards version to .7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  7 Jul 2006 17:00:48 +0200

sooperlooper (1.0.5-5) unstable; urgency=low

  * Applied gcc4 patch (this time for real) thanks for Andreas patience,
    removed the i386 specific gcc4 fixes.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 25 Aug 2005 21:34:06 +0200

sooperlooper (1.0.5-4) unstable; urgency=low

  * Changed pointer cast to unsigned long in keys_panel.cpp

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 24 Aug 2005 13:49:38 +0200

sooperlooper (1.0.5-3) unstable; urgency=low

  * recompiled against libjack 0.100.0 (closes: #317221)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 15 Jul 2005 18:33:53 +0200

sooperlooper (1.0.5-2) unstable; urgency=low

  * Applied gcc4 patch (closes: #314970), thanks to Andreas Jochens

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 20 Jun 2005 09:44:24 +0200

sooperlooper (1.0.5-1) unstable; urgency=low

  * New upstream version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 12 Jun 2005 15:56:58 +0200

sooperlooper (1.0.0dev18-2) experimental; urgency=low

  * fixed libsigc++ source dependency (closes: 277758)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 18 Nov 2004 13:44:17 +0100

sooperlooper (1.0.0dev18-1) experimental; urgency=low

  * New upstream version
  * Upload to experimental, because of fundamental changes

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 20 Oct 2004 12:57:29 +0200

sooperlooper (0.93-3) unstable; urgency=low

  * fixed label at end of compound statement bug, thanks to Andreas Jochens
    (closes: 263910)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 11 Aug 2004 01:49:11 +0200

sooperlooper (0.93-2) unstable; urgency=low

  * Added -fPIC outside of CLFAGS

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  1 Jun 2004 17:29:30 +0200

sooperlooper (0.93-1) unstable; urgency=low

  * Initial Release (closes: 247641).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 May 2004 08:48:13 +0200
